1. Clients
Analytics
  • Docs
  • Auth
    • /v2/auth/token
      GET
  • Activity Log
    • /v2/activity-log
      GET
    • /v2/activity-log
      DELETE
    • /v2/activity-log/csv
      GET
    • /v2/activity-log/realtime
      GET
  • Data Availability
    • /v2/data-availability
      GET
  • Statistics
    • /v2/statistic/timeseries
      GET
    • /v2/statistic/timeseries/{group}
      GET
    • /v2/statistic/count
      GET
    • /v2/statistic/count/{group}
      GET
    • /v2/statistic/trend/{group}
      GET
  • Admin Actions
    • /v2/admin-action
      GET
  • Clients
    • /v2/client
      GET
    • /v2/client
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      PUT
  • Schemas
    • Column
    • DeleteClientResponse
    • GetAdminActionLogResponse
    • CountGroupResponse
    • GetClientResponse
    • AdminActionLogItem
    • GeoIPData
    • QueryData
    • PaginationData
    • ClientActivity
    • TrendResponse
    • CountResponse
    • TimeSeriesGroupResponse
    • TimeSeriesResponse
    • ErrorResponse
    • Trigger
    • Datetime
    • DataAvailability
    • HistoricalQueriesResponse
    • IP
    • Domain
  1. Clients

/v2/client

https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
DELETE
/v2/client
Deletes the client's metadata (host/mac/ip/os) without deleting the client's queries or last activity time.
The client will no longer appear in calls to GET /v2/client.
Queries associated with this client remain and will still appear when viewing all queries for the account or endpoint.
The client's last activity data will continue to be used to compute the lastActivityTime of the endpoint.
If the same client becomes active again, it will be re-created with the same deterministic ClientId, and old queries will re-associate with it.
To also delete associated query data and last activity, use DELETE /v2/activity-log.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400BadRequest
🟠401Unauthorized
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://us-east1-org01.analytics.controld.com/v2/client' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "endpointIds": [
        "endpoint1",
        "endpoint2"
    ],
    "clientIds": [
        "client1",
        "client2"
    ],
    "endTime": "2025-02-07T13:20:47.214Z"
}'
Response Response Example
200 - Example 1
{
    "deletedCount": 0,
    "deletedClients": [
        {
            "endpointId": "string",
            "clientId": "string"
        }
    ]
}
Modified at 2026-03-31 19:19:32
Previous
/v2/client
Next
/v2/client/alias/{endpointId}/{clientId}
Built with